Bug 1518829 - Version 1.0.0 final is available / RFE Port to python3
Summary: Version 1.0.0 final is available / RFE Port to python3
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: pdf-stapler
Version: rawhide
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Ranjan Maitra
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1738053 1804545 (view as bug list)
Depends On:
Blocks: F31_PY2REMOVAL 1738053
TreeView+ depends on / blocked
 
Reported: 2017-11-29 15:49 UTC by Raphael Groner
Modified: 2021-09-29 07:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
Patch for python3 (17.14 KB, patch)
2019-11-23 07:34 UTC, Raphael Groner
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Github hellerbarde stapler issues 46 0 'None' closed Make a release 2021-02-10 08:36:28 UTC
Github hellerbarde stapler issues 54 0 'None' closed Needs python3 support for Fedora 31 2021-02-10 08:36:28 UTC
Github hellerbarde stapler issues 55 0 'None' closed Python 3 compatibility, new tests and tox configuration for stapler 2021-02-10 08:36:28 UTC
Github hellerbarde stapler pull 20 0 'None' closed Make python3 compatible 2021-02-10 08:36:28 UTC

Description Raphael Groner 2017-11-29 15:49:06 UTC
Description of problem:
Version 0.4 of stapler is available:
https://github.com/hellerbarde/stapler/archive/0.4.tar.gz

Version-Release number of selected component (if applicable):
0.3.3 (unofficial?)

How reproducible:
yes

Steps to Reproduce:
1. dnf install pdf-stapler
2.
3.

Actual results:
Old version.

Expected results:
Current version.

Additional info:
One and only change is official switch to PyPDF2 (instead of PyPDF).
https://github.com/hellerbarde/stapler/commit/cdf1fd3d28facf92c97895fe623b4cb2e20dd5ef

Comment 1 Fedora End Of Life 2018-02-20 15:28:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Raphael Groner 2018-02-20 18:49:04 UTC
Ping? Any news here?

Latest rebuild from releng from 2018-02-08 FTBFS.

Comment 3 Raphael Groner 2018-11-11 07:59:47 UTC
Another friendly reminder. What's the state here?

Comment 4 Ranjan Maitra 2019-05-21 13:26:40 UTC
Sorry for the delay in getting to this but I was hoping that some of the issues would be fixed upstream.

Is there really anything new in 0.4? Mysteriously, the version on PyPi is down to 0.3.2 and the file at https://github.com/hellerbarde/stapler/archive/0.4.tar.gz is wrongly archived, in that it does not contain the setup.py.

Btw, I would not mind having a co-maintainer.

Comment 5 Raphael Groner 2019-05-21 19:41:27 UTC
(In reply to Ranjan Maitra from comment #4)
> Sorry for the delay in getting to this but I was hoping that some of the
> issues would be fixed upstream.

No problem. Most of us do the hard work in our spare time, so we shouldn't expect anything. :-)
Pinging is generally recommended to see if package maintainers are still active.

> Is there really anything new in 0.4?

Additional info:
One and only change is official switch to PyPDF2 (instead of PyPDF).
https://github.com/hellerbarde/stapler/commit/cdf1fd3d28facf92c97895fe623b4cb2e20dd5ef

> Mysteriously, the version on PyPi is
> down to 0.3.2 and the file at
> https://github.com/hellerbarde/stapler/archive/0.4.tar.gz is wrongly
> archived, in that it does not contain the setup.py.

I'd suggest to report this as an issue to upstream.

> Btw, I would not mind having a co-maintainer.

Would a pull request help, at least?

Comment 6 Ranjan Maitra 2019-05-21 21:38:12 UTC
Btw, I noticed that you already have commit privileges. I think that you have had it for a while.

Comment 7 Raphael Groner 2019-05-22 04:46:44 UTC
(In reply to Ranjan Maitra from comment #6)
> Btw, I noticed that you already have commit privileges. I think that you
> have had it for a while.

Result of some experiments done with python3 but pagure doesn't tell about any commit. Maybe  something imported from those PkgDB times.

Anyways, I'm going to build a new version when there's some free time slot. Thanks.

Comment 8 Raphael Groner 2019-08-12 17:08:24 UTC
Well, there's still no official support from upstream for Python3.

Comment 9 Raphael Groner 2019-09-17 14:39:26 UTC
Currently no time available for me to continue with this.

Comment 10 Raphael Groner 2019-09-17 14:41:33 UTC
At least, upstream is aware of the python3 request.
https://github.com/hellerbarde/stapler/pull/20

Comment 11 Raphael Groner 2019-11-17 09:33:27 UTC
*** Bug 1738053 has been marked as a duplicate of this bug. ***

Comment 13 Raphael Groner 2019-11-17 09:35:52 UTC
To avoid a removal of the package, could someone apply the patch from upstream?

Comment 14 Raphael Groner 2019-11-23 07:13:49 UTC
Upstream merged the PR.
https://github.com/hellerbarde/stapler/pull/55/files

Comment 16 Raphael Groner 2020-01-05 18:49:13 UTC
Reassing as recent commits indicate.

Comment 17 Raphael Groner 2021-09-25 19:37:02 UTC
Ping. Meanwhile version 1.0.0 is released.
https://github.com/hellerbarde/stapler/releases/tag/1.0.0

Comment 18 Raphael Groner 2021-09-26 15:09:28 UTC
*** Bug 1804545 has been marked as a duplicate of this bug. ***

Comment 19 Ranjan Maitra 2021-09-27 03:29:06 UTC
Current version is 1.0.0-0.7.20191215git8753251.fc34, is this different from the one in #17?

Comment 20 Raphael Groner 2021-09-27 05:48:01 UTC
(In reply to Ranjan Maitra from comment #19)
> Current version is 1.0.0-0.7.20191215git8753251.fc34, is this different from
> the one in #17?

yes, see https://github.com/hellerbarde/stapler/commit/d3f091ab0e50cf7dcce69ac722908cdc83779a7b

Comment 21 Raphael Groner 2021-09-27 05:49:41 UTC
Propably then 1.0.0-1.fc36 etc.


Note You need to log in before you can comment on or make changes to this bug.